CB(1)

NAME
cb - a simple C program beautifier

SYNOPSIS
cb [ -js ] [ -l leng ] [ filename... ]

DESCRIPTION

cb reads C programs either from its arguments or from the standard input and writes them on the standard output with spacing and indentation that displays the structure of the code.

indent(1) is preferred.

OPTIONS
With no options, cb preserves all user NEWLINE characters.

-j  Join. Split lines are put back together.

-s  Standard C style. Formats the code to the style of Kernighan and Ritchie in The C Programming Language.

-l leng
    Split lines longer than leng.

SEE ALSO
indent(1)

B.W. Kernighan and D.M. Ritchie, The C Programming Language, Prentice-Hall, 1978

BUGS

Punctuation hidden in preprocessor statements can cause indentation errors.